#include "plugin.h"

LyricBrowserPlugin::LyricBrowserPlugin()
    : SPlugin( QIcon(":/plugins/LyricBrowser/icon.png") ,
          "LyricBrowser",
          tr("Lyric Browser plugin for tagarg player.") )
{
    engine = 0;
}

bool LyricBrowserPlugin::startEvent()
{
    if( engine )
        return false;

    engine = new LoaderEngine( this );
    return true;
}

bool LyricBrowserPlugin::stopEvent()
{
    if( !engine )
        return false;

    delete engine;
    engine = 0;

    return true;
}

LyricBrowserPlugin::~LyricBrowserPlugin()
{
}
